-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/roleicons/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Add class summary buttons to the Raid tab"] = "Add class summary buttons to the Raid tab"
Ld["Add role summary buttons to the Raid tab"] = "Add role summary buttons to the Raid tab"
Ld["Automatically set role and respond to role checks based on your spec"] = "Automatically set role and respond to role checks based on your spec"
Ld["Conqueror"] = "Conqueror"
Ld["Debug the addon"] = "Debug the addon"
Ld["Perform a role check (requires assist or leader)"] = "Perform a role check (requires assist or leader)"
Ld["Players:"] = "Players:"
Ld["Protector"] = "Protector"
Ld["/ri"] = "/ri"
Ld["/rolecheck"] = "/rolecheck"
Ld[" set to "] = " set to "
Ld["Show role icons in chat windows"] = "Show role icons in chat windows"
Ld["Show role icons in player tooltips"] = "Show role icons in player tooltips"
Ld["Show role icons on the focus frame (default Blizzard frames)"] = "Show role icons on the focus frame (default Blizzard frames)"
Ld["Show role icons on the Raid tab"] = "Show role icons on the Raid tab"
Ld["Show role icons on the target frame (default Blizzard frames)"] = "Show role icons on the target frame (default Blizzard frames)"
Ld["Tier token breakdown:"] = "Tier token breakdown:"
Ld["Unassigned"] = "Unassigned"
Ld["Vanquisher"] = "Vanquisher"


if locale == "frFR" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "deDE" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "koKR" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "esMX" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "ruRU" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "zhCN" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "esES" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "zhTW" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "ptBR" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

elseif locale == "itIT" then do end
-- La["Add class summary buttons to the Raid tab"] = ""
-- La["Add role summary buttons to the Raid tab"] = ""
-- La["Automatically set role and respond to role checks based on your spec"] = ""
-- La["Conqueror"] = ""
-- La["Debug the addon"] = ""
-- La["Perform a role check (requires assist or leader)"] = ""
-- La["Players:"] = ""
-- La["Protector"] = ""
-- La["/ri"] = ""
-- La["/rolecheck"] = ""
-- La[" set to "] = ""
-- La["Show role icons in chat windows"] = ""
-- La["Show role icons in player tooltips"] = ""
-- La["Show role icons on the focus frame (default Blizzard frames)"] = ""
-- La["Show role icons on the Raid tab"] = ""
-- La["Show role icons on the target frame (default Blizzard frames)"] = ""
-- La["Tier token breakdown:"] = ""
-- La["Unassigned"] = ""
-- La["Vanquisher"] = ""

end
